Description

Tested it with latest develop branch (from both self made RPM or with a git install / with and without passenger):

On the client the changes are applied:

[root@myserver01 puppet]# puppetd --server puppet.test.mydomain.local --test

info: Loading facts in lwsite

info: Loading facts in lwopenversion

info: Loading facts in lwsite

info: Loading facts in lwopenversion

info: Caching catalog for myserver01.test.mydomain.local

info: Applying configuration version '1300444752'

notice: /Stage[main]/Ntp::Config/File[/etc/ntp.conf]/ensure: defined content as '{md5}7983c9a39466

3b29d51178539dbdf2e5'

info: /Stage[main]/Ntp::Config/File[/etc/ntp.conf]: Scheduling refresh of Service[ntpd]

notice: /Stage[main]/Ntp::Service/Service[ntpd]: Triggered 'refresh' from 1 events

notice: Finished catalog run in 0.71 seconds

 On the server log:

[2011-03-18 14:12:10] INFO  WEBrick 1.3.1

[2011-03-18 14:12:10] INFO  ruby 1.8.5 (2006-08-25) [x86_64-linux]

[2011-03-18 14:12:10] INFO  WEBrick::HTTPServer#start: pid=32193 port=3000

(...)

Processing HostsController#externalNodes to yml (for 192.168.35.36 at 2011-03-18 13:42:23) [GET]

  Parameters: {"name"=>"myserver01.test.mydomain.local", "format"=>"yml", "action"=>"externalNodes

", "controller"=>"hosts"}

Completed in 16ms (View: 0, DB: 6) | 200 OK [http://foreman.test.mydomain.local/node/myserver01.te

st.mydomain.local?format=yml]

Processing ReportsController#create to yml (for 192.168.35.36 at 2011-03-18 13:42:24) [POST]

  Parameters: {"format"=>"yml", "action"=>"create", "controller"=>"reports", "report"=>"[FILTERED]

"}

processing report for myserver01.test.mydomain.local

Completed in 77ms (View: 1, DB: 20) | 200 OK [http://foreman.test.mydomain.local/reports/create?fo

rmat=yml]

 On the web interface:

    All Reports

myserver01  "True(green)/less than a minute ago/Applied:0/Restart:0/Failed:0.../Config Retrieval:0

.49 / Runtime:0.55" 
 When I click on "details" of this specific report you can see the changes:

myserver01.test.mydomain.local

Reported at Fri Mar 18 13:42:22 +0100 2011, which is 1 minute ago

        Puppet Output 

Level     Resource                                 message 

info //myserver01.test.mydomain.local/Puppet Loading facts in lwsite 

info //myserver01.test.mydomain.local/Puppet Loading facts in lwopenversion 

info //myserver01.test.mydomain.local/Puppet Loading facts in lwsite 

info //myserver01.test.mydomain.local/Puppet Loading facts in lwopenversion 

info //myserver01.test.mydomain.local/Puppet Caching catalog for myserver01.test.mydomain.local 

info //myserver01.test.mydomain.local/Puppet Applying configuration version '1300444752' 

notice //myserver01.test.mydomain.local//Stage[main]/Ntp::Config/File[/etc/ntp.conf]/ensure define

d content as '{md5}7983c9a394663b29d51178539dbdf2e5' 

info //myserver01.test.mydomain.local//Stage[main]/Ntp::Config/File[/etc/ntp.conf] Scheduling refr

esh of Service[ntpd] 

notice //myserver01.test.mydomain.local//Stage[main]/Ntp::Service/Service[ntpd] Triggered 'refresh

' from 1 events 

 Clinking on the "host" on the web interface, it keeps saying on the right side: "No puppet activity for this host in the last 7 days", and

sometimes it stops showing the dynamic graphs on the left side. :(

If I delete and readd the host, the graphic shows up again (empty of course)

Gems installed on the server:

> gem list

*** LOCAL GEMS ***

fastthread (1.0.7)

json (1.4.3)

mime-types (1.16)

mysql (2.7)

passenger (2.2.15)

rack (1.0.1)

rake (0.8.7)

rest-client (1.6.1)

sqlite3-ruby (1.2.4)

 puppet RPMS:

puppet-2.6.6-0.3.el5

puppet-server-2.6.6-0.3.el5

 NOTE: The "stored" report under "/var/lib/puppet/reports/myserver01.test.mydomain.local" you can see in attach.

I've tried reinstalling it again but it didn't help.

Am I doing something wrong ?

Associated revisions

Revision 7123fa79 - 03/22/2011 06:24 AM - Ohad Levy

fixes #761 - Support Puppet 2.6.x Report format 2

History

#1 - 03/19/2011 02:30 PM - Ohad Levy

- Status changed from New to Assigned

- Assignee set to Ohad Levy

I can confirm the same behavior, I'll investigate.

#2 - 03/22/2011 05:32 AM - Ohad Levy
- Tracker changed from Bug to Feature

- Subject changed from Puppet activity not detected (Change/errors always seen as "no changes"/green checkbox) to Support Puppet 2.6.x Report

format 2

#3 - 03/22/2011 05:44 AM - Marcello de Sousa

- File 201103220935.yaml added

Extra report with error and warning

#4 - 03/22/2011 06:00 AM - Marcello de Sousa

- File 201103220957.yaml added

One more with a failed manifest.

#5 - 03/22/2011 06:26 AM - Ohad Levy

- Status changed from Assigned to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 7123fa79f3831424a685a7f748e6aecb7940b1a6.

#6 - 03/22/2011 06:27 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

#7 - 05/06/2011 10:40 AM - Marcello de Sousa

- File 201105061429.yaml added

Hi, I've had another report with an error that is reported as OK by Foreman (latest stable RPM).

Can you reproduce it (maybe reopen this ticket if needed) ?

(Report in attach.)

[EDIT]

Hmm... Correction: I had a non reported error, then added reports=store to the puppet.conf and gave it another run to generate this report in attach. I

just noticed that this one in attachwas actually reported. Not sure I can reproduce it anymore but I still have in foreman's DB a report with an error that

it's seen as OK:

Reported at Fri May 06 16:00:39 +0200 2011, which is about 1 hour ago

Puppet Output Level    Resource    message

err     //myserver01/Puppet     Could not retrieve catalog from remote server: Error 400 on SERVER: Duplicate 

definition: File[/etc/local] is already defined in file (...) on node myserver01

notice     //myserver01/Puppet     Using cached catalog

Files

201103181242.yaml 11.1 KB 03/18/2011 Marcello de Sousa

201103220935.yaml 2.11 KB 03/22/2011 Marcello de Sousa

201103220957.yaml 1.44 KB 03/22/2011 Marcello de Sousa

201105061429.yaml 2.12 KB 05/06/2011 Marcello de Sousa
